# netdata go.d.plugin configuration for vsphere
#
# This file is in YAML format. Generally the format is:
#
# name: value
#
# There are 2 sections:
#  - GLOBAL
#  - JOBS
#
#
# [ GLOBAL ]
# These variables set the defaults for all JOBs, however each JOB may define its own, overriding the defaults.
#
# The GLOBAL section format:
# param1: value1
# param2: value2
#
# Currently supported global parameters:
#  - update_every
#    Data collection frequency in seconds. Default: 20.
#
#  - autodetection_retry
#    Re-check interval in seconds. Attempts to start the job are made once every interval.
#    Zero means not to schedule re-check. Default: 0.
#
#  - priority
#    Priority is the relative priority of the charts as rendered on the web page,
#    lower numbers make the charts appear before the ones with higher numbers. Default: 70000.
#
#
# [ JOBS ]
# JOBS allow you to collect values from multiple sources.
# Each source will have its own set of charts.
#
# IMPORTANT:
#  - Parameter 'name' is mandatory.
#  - Jobs with the same name are mutually exclusive. Only one of them will be allowed running at any time.
#
# This allows autodetection to try several alternatives and pick the one that works.
# Any number of jobs is supported.
#
# The JOBS section format:
#
# jobs:
#   - name: job1
#     param1: value1
#     param2: value2
#
#   - name: job2
#     param1: value1
#     param2: value2
#
#   - name: job2
#     param1: value1
#
#
# [ List of JOB specific parameters ]:
#  - url
#    Server URL.
#    Syntax:
#      url: http://localhost:80
#
#  - username
#    Username for authentication.
#    Syntax:
#      username: tony
#
#  - password
#    Password for authentication.
#    Syntax:
#      password: stark
#
#  - timeout
#    HTTP response timeout.
#    Syntax:
#      timeout: 20
#
#  - discovery_interval
#    Module will rediscover new hosts and vms every interval.
#    Syntax:
#      discovery_interval: 300
#
#  - host_include
#    Hosts filter. `/DC Pattern/Cluster Patter/Host Pattern`.
#    Pattern matches name, pattern syntax: simple patterns https://docs.netdata.cloud/libnetdata/simple_pattern/
#    Syntax:
#      host_include:
#        - '/DC1/*'           # all datacenter DC1 hosts
#        - '/DC2/*/!Host2 *'  # all datacenter DC2 hosts except HOST2
#        - '/DC3/Cluster3/*'  # all datacenter DC3 cluster Cluster3 hosts
#
#  - vm_include
#    VMs filter. `/DC Pattern/Cluster Patter/Host Pattern/VM Pattern`.
#    Pattern matches name, pattern syntax: simple patterns https://docs.netdata.cloud/libnetdata/simple_pattern/
#    Syntax:
#      vm_include:
#        - '/DC1/*'           # all datacenter DC1 vms
#        - '/DC2/*/*/!VM2 *'  # all datacenter DC2 vms except VM2
#        - '/DC3/Cluster3/*'  # all datacenter DC3 cluster Cluster3 vms
#
#  - host_metrics
#    Add additional hierarchy data to the host chart id.
#    Template: "host-ID_name-HOSTNAME_cluster-CLUSTERNAME_datacenter-DATACENTERNAME"
#    Syntax:
#      host_metrics:
#        name: yes/no         # add host name
#        cluster: yes/no      # add cluster name
#        datacenter: yes/no   # add datacenter name
#
#  - vm_metrics
#    Add additional hierarchy data to the vm chart id.
#    Template: "vm-ID_name-VMNAME_host-HOSTNAME_cluster-CLUSTERNAME_datacenter-DATACENTERNAME"
#    Syntax:
#      vm_metrics:
#        name: yes/no         # add vm name
#        host: yes/no         # add host name
#        cluster: yes/no      # add cluster name
#        datacenter: yes/no   # add datacenter name
#
#  - tls_skip_verify
#    Whether to skip verifying server's certificate chain and hostname.
#    Syntax:
#      tls_skip_verify: yes/no
#
#  - tls_ca
#    Certificate authority that client use when verifying server certificates.
#    Syntax:
#      tls_ca: path/to/ca.pem
#
#  - tls_cert
#    Client tls certificate.
#    Syntax:
#      tls_cert: path/to/cert.pem
#
#  - tls_key
#    Client tls key.
#    Syntax:
#      tls_key: path/to/key.pem
#
#
# [ JOB defaults ]:
#  timeout             : 20
#  tls_skip_verify     : no
#  discovery_interval  : 300
#  host_include        : ['/*']
#  vm_include          : ['/*']
#  host_metrics        : {name: yes, cluster: yes, datacenter: yes}
#  vm_metrics          : {name: yes, host: yes, cluster: yes, datacenter: yes}
#
#
# [ JOB mandatory parameters ]:
#  - name
#  - url
#  - username
#  - password
#
# ------------------------------------------------MODULE-CONFIGURATION--------------------------------------------------

# update_every        : 20 # do not decrease the value, vmware real-time stats generated at the 20-seconds specificity.
# autodetection_retry : 0
# priority            : 70000

#jobs:
#  - name     : vcenter1
#    url      : https://203.0.113.0
#    username : admin@vsphere.local
#    password : somepassword
#
#  - name     : vcenter2
#    url      : https://203.0.113.10
#    username : admin@vsphere.local
#    password : somepassword
